#include <iostream>
#include <string>
#include <algorithm>
#include <vector>

using namespace std;

int main()
{
	string x;
	vector<string>v;
	for (int i = 0; i < 3; i++)
	{
		cin >> x;
		v.push_back(x);
	}

	sort(v.begin(), v.end());
	reverse(v.begin(), v.end());
	

	for (auto i : v)
		cout << i;


	return 0;
}